# WOK
TKWOK
WOKernel

# WOKernel_EntityIterator Class Reference

`#include <WOKernel_EntityIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_EntityIterator (const Handle(WOKernel_Session)&asession)
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKernel_Entity & | Value () const
Standard_EXPORT void | Next ()

## Private Attributes

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFactory | myfactit
WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWarehouse | mywareit
WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkshop | myshopit
WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfParcel | myparcit
WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench | mybenchit
WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit | myunitit

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_EntityIterator::WOKernel_EntityIterator | ( | const Handle(WOKernel_Session)& | asession | ) |

## Member Function Documentation

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_EntityIterator::Key | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKernel_EntityIterator::More | ( |  | ) | const

Standard_EXPORT void WOKernel_EntityIterator::Next | ( |  | ) |

void WOKernel_EntityIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_EntityIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_EntityIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_WOKernel_Entity& WOKernel_EntityIterator::Value | ( |  | ) | const

## Field Documentation

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkbench WOKernel_EntityIterator::mybenchit `[private]`

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfFactory WOKernel_EntityIterator::myfactit `[private]`

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfParcel WOKernel_EntityIterator::myparcit `[private]`

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWorkshop WOKernel_EntityIterator::myshopit `[private]`

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit WOKernel_EntityIterator::myunitit `[private]`

WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfWarehouse WOKernel_EntityIterator::mywareit `[private]`

The documentation for this class was generated from the following file:

- WOKernel_EntityIterator.hxx